org.springframework.data.mapping.model

## Class CamelCaseAbbreviatingFieldNamingStrategy

- java.lang.Object
- - org.springframework.data.mapping.model.CamelCaseSplittingFieldNamingStrategy
  - - org.springframework.data.mapping.model.CamelCaseAbbreviatingFieldNamingStrategy

All Implemented Interfaces:
  FieldNamingStrategy

    public class CamelCaseAbbreviatingFieldNamingStrategy
    extends CamelCaseSplittingFieldNamingStrategy

`FieldNamingStrategy` that abbreviates field names by using the very first letter of the camel case parts of the `PersistentProperty`'s name.

Since:
  1.9
Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`CamelCaseAbbreviatingFieldNamingStrategy()` Creates a new `CamelCaseAbbreviatingFieldNamingStrategy`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `preparePart(String part)` Callback to prepare the uncapitalized part obtained from the split up of the camel case source.

### Methods inherited from class org.springframework.data.mapping.model.CamelCaseSplittingFieldNamingStrategy

`getFieldName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CamelCaseAbbreviatingFieldNamingStrategy

    public CamelCaseAbbreviatingFieldNamingStrategy()

Creates a new `CamelCaseAbbreviatingFieldNamingStrategy`.

### Method Detail

#### preparePart

    protected String preparePart(String part)

Description copied from class: `CamelCaseSplittingFieldNamingStrategy`
Callback to prepare the uncapitalized part obtained from the split up of the camel case source. Default implementation returns the part as is.

Overrides:
  `preparePart` in class `CamelCaseSplittingFieldNamingStrategy`
Returns: